KLDLOAD(8)

NAME
kldload - load a file into the kernel

SYNOPSIS
kldload [-v] filename

DESCRIPTION
The kldload loads the file filename.ko into the kernel using the kernel linker.

The following option is available:

-v  Be more verbose.

FILES
/modules
    directory containing loadable modules. Modules must be have an extention of .ko

DIAGNOSTICS
The kldload utility exits with a status of 0 on success and with a nonzero status if an error occurs.

SEE ALSO
kldload(2), kldstat(8), kldunload(8)

HISTORY
The kldload command first appeared in FreeBSD 3.0, replacing the lkm(4) interface.

AUTHORS
Doug Rabson <dfr@FreeBSD.org>